<?php
namespace App\EntityList;

class SupplierBankAccounts extends \App\EntityList\GeneralAbstract
{
	protected function loadDbTablesCfgs(): void
	{
		// store the table name
		global $DBTSuppliersBankAccounts, $DBTSuppliers, $DBTBanks;
		$this->setMainTable($DBTSuppliersBankAccounts, 'suppBankAccounts');
		$this->addAllowedTable($DBTSuppliers, 'suppliers', 'suppBankAccounts.idSupplier=suppliers.id', 'INNER');
		$this->addAllowedTable($DBTBanks, 'banks', 'suppBankAccounts.idBank=banks.id', 'LEFT');
	}

	/**
	 * {@inheritDoc}
	 * @see \App\EntityList\GeneralAbstract::setDefaultFilters()
	 */
	public function setDefaultFilters(): void
	{

	}
}